program blank;

{$APPTYPE CONSOLE}

uses
  SysUtils;
const
  taskid='heapsort';
  infile=taskid+'.in';
  outfile=taskid+'.out';

var
  n:longint;

{--------------------------------------------------------------------}
Procedure Lesen;
Begin
  read(n);
end;
{--------------------------------------------------------------------}
Procedure Schriben;
var
  i:longint;
begin
  for i:=n downto 1 do
    write(i, ' ');
end;
{--------------------------------------------------------------------}

begin
  assign(input,infile);  reset(input);
  assign(output,outfile);  rewrite(output);
  lesen;
  schriben;
  close(input);  close(output);
end.
